curl --request GET \
--url https://api.pinata.cloud/pinning/pinJobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pinata.cloud/pinning/pinJobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pinata.cloud/pinning/pinJobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"rows": [
{
"id": "<string>",
"ipfs_pin_hash": "<string>",
"date_queued": "<string>",
"name": "<string>",
"status": "<string>",
"keyvalues": null,
"host_nodes": [
"<string>"
],
"pin_policy": {
"regions": [
{
"id": "<string>",
"desiredReplicationCount": 123
}
],
"version": 123
}
}
]
}List Pin By CID Jobs
List all currently running pinByHash jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Values include ASC or DESC
"ASC"
Filter by the status of the job in the pinning queue
prechecking, retrieving, expired, over_free_limit, over_max_size, invalid_object, bad_host_node, backfilled "retrieving"
CID of the file to be pinned
"CID"
Number of jobs to return. Default is 5 and 1000 is the maximum
5
Provide the record offset for records being returned. This is how you retrieve records on additional pages (default is 0)
0
Response
{ count: (this is the total number of pin job records that exist for the query filters you passed in), rows: [ { id: (the id for the pin job record), ipfs_pin_hash: (the IPFS multi-hash for the content you pinned), date_queued: (The date this hash was initially queued to be pinned - represented in ISO 8601 format), status: (The current status for the pin job), name: (If you passed in a name for your hash, it will be listed here), keyvalues: (If you passed in keyvalues for your hash, they will be listed here), host_nodes: (If you provided host nodes for your hash, they will be listed here), pin_policy: Once this content has been found, this is the pin policy that will be used for replications }, { same record format as above } . . . ] }